Subject: Re: [PATCH] Fix 8250 probe on ppc32

From: Christoph Hellwig <[email-masked]>
Date: Fri, 18 Nov 2005 09:23:58 +0100

On Fri, Nov 18, 2005 at 02:50:17PM +1100, Benjamin Herrenschmidt wrote:
> On Thu, 2005-11-17 at 21:26 -0600, Kumar Gala wrote:
> > Paul or BenH,
> > 
> > Would you like to enlighten us on this ambitious rework?
> 
> First, some better & more generic routines for translating addresses
> from the device-tree, and some more generic code for looking for
> standard serial port using the above routines, among others ... also,
> set_preferred_console gets modified to use the previous list so it can
> detect the ports more reliably, etc ....

so as a start can we move the code to a place in arch/powerpc/ where
it can bee used by ppc32 _now_ because it fixes a real problem?  You
can add your encehancements whenever you get time to actually do it.